import AsyncStorage from '@react-native-async-storage/async-storage';

export default class StorageUtil {
    static saveJson = async (key, value) => {
        await this.saveString(key, JSON.stringify(value));
    }

    /**
     * 获取一个Json对象
     * @param key
     */
    static getJson = async (key, callback) => {
        const res = await this.getString(key);
        const result = res ? JSON.parse(res) : res;
        callback && callback(result);
        return result;
    }

    static saveString = async (key, value) => {
        if (key != null && value != null) {
            await AsyncStorage.setItem(key, value)
        }
        return false
    }


    static getString = async (key, callback) => {
        const result = await AsyncStorage.getItem(key)
        if (callback) {
            callback && callback(result)
        }
        return result 
    }   

    static remove = async(key) => {
        return await AsyncStorage.removeItem(key).then(() => {});
    }
}
