'use strict';

import React from "react";
import {
    Alert,
    Animated,
    DeviceEventEmitter,
    Dimensions,
    Easing,
    Image,
    NetInfo,
    Platform,
    TouchableOpacity,
    TouchableWithoutFeedback,
    View,
    Linking, NativeModules,
} from "react-native";
import {connect} from "react-redux";
import {BasePage, Label, Overlay, TabView, TeaNavigator, Toast} from "teaset";
import CustomBasePage from "../common/CustomBasePage";
import HomePage from "./HomePage";

@connect(
    state => ({
        loginState: state.login,
    }), dispatch => ({
    })
)

export default class MainPage extends CustomBasePage {
    static defaultProps = {
        ...BasePage.defaultProps,
        scene: TeaNavigator.SceneConfigs.PushFromRight,
    };

    constructor(props) {
        super(props);
    }

    goLogin() {
        // this.navigator.push({
        //     view: <LoginPage />
        // })
    }

    renderPage() {
        let {type, custom, activeIndex, goodsCount} = this.state;
        let {loginState} = this.props
        let customBarStyle = Platform.OS === 'android'  ? null : {
            borderTopWidth: 0,
            shadowColor: '#ccc',
            shadowOffset: {height: -1},
            shadowOpacity: 0.4,
            shadowRadius: 0.5,
        };
        return <View style={{flex: 1, position: 'relative'}}>
            <TabView style={{flex: 1}} barStyle={custom ? customBarStyle : null} type={type} activeIndex={activeIndex}>
                    <TabView.Sheet
                        title='首页'
                        icon={require('../icons/home.png')}
                        activeIcon={require('../icons/home_active.png')}
                        onPress={() => {
                            this.setState({activeIndex: 0})
                        }}
                    >
                        <HomePage
                            type={type}
                            custom={custom}
                            onChangeType={type => this.setState({type})}
                            onChangeCustom={custom => this.setState({custom})}
                        />
                    </TabView.Sheet>
                    <TabView.Sheet
                        title='分类'category
                        icon={require('../icons/home.png')}
                        activeIcon={require('../icons/home_active.png')}
                        onPress={() => {
                            this.setState({activeIndex: 1})
                        }}
                    >
                        <HomePage
                            type={type}
                            custom={custom}
                            onChangeType={type => this.setState({type})}
                            onChangeCustom={custom => this.setState({custom})}
                        />
                    </TabView.Sheet>
                    <TabView.Sheet
                        title='会员中心'
                        icon={require('../icons/home.png')}
                        activeIcon={require('../icons/home_active.png')}
                        onPress={() => {
                            if (!loginState.token) {
                                this.goLogin()
                            } else {
                                this.setState({activeIndex: 2})
                            }
                        }}
                    >
                        <HomePage
                            type={type}
                            custom={custom}
                            onChangeType={type => this.setState({type})}
                            onChangeCustom={custom => this.setsState({custom})}
                        />
                    </TabView.Sheet>
                    <TabView.Sheet
                        title='我的'
                        icon={require('../icons/home.png')}
                        activeIcon={require('../icons/home_active.png')}
                        onPress={() => {
                            if (!loginState.token) {
                                this.goLogin()
                            } else {
                                this.setState({activeIndex: 4})
                            }
                        }}
                        // badge={100}
                    >
                        <HomePage
                            type={type}
                            custom={custom}
                            onChangeType={type => this.setState({type})}
                            onChangeCustom={custom => this.setState({custom})}
                        />
                    </TabView.Sheet>
                </TabView>
        </View>;
    }
}